Bug 73486 - [PATCH] libperl leaks a THREAD_KEY each time it is reloaded
[PATCH] libperl leaks a THREAD_KEY each time it is reloaded
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-05 06:19 EDT by Joe Orton
Modified: 2012-09-04 14:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-12 06:15:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Memory usage (as reported by ps) after each restart (GNUplot it or something) (13.90 KB, text/plain)
2002-09-05 11:02 EDT, Gary Benson
no flags Details

  None (edit)
Description Joe Orton 2002-09-05 06:19:33 EDT
(Note that the cause of this bug is not necessarily related to mod_perl, since
bug 66613 wasn't really related to PHP.)

From bug 66613, Bryce says: after about 4000 server reload iterations:

(gdb) handle SIGHUP nostop noprint
Signal        Stop      Print   Pass to program Description
SIGHUP        No        No      Yes             Hangup
(gdb) cont
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x4043e309 in Perl_newSVpvn ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
(gdb) where
#0  0x4043e309 in Perl_newSVpvn ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#1  0x40494db1 in PerlIO_vprintf ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#2  0x40494e7d in PerlIO_printf ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#3  0x403cf985 in perl_alloc ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#4  0x402e53ff in modperl_startup () from /etc/httpd/modules/mod_perl.so
#5  0x402e555f in modperl_init () from /etc/httpd/modules/mod_perl.so
#6  0x402e5873 in modperl_hook_init () from /etc/httpd/modules/mod_perl.so
#7  0x0806597a in ap_run_open_logs ()
#8  0x0806ac16 in main ()
#9  0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6
(gdb)
Comment 1 Gary Benson 2002-09-05 09:46:12 EDT
Hmmm, I got a completely different one after about 1000 iterations:

# rpm -q httpd mod_ssl php mod_perl mod_python mod_auth_pgsql perl
httpd-2.0.40-8
mod_ssl-2.0.40-7
php-4.2.2-8.0.5
mod_perl-1.99_05-3
mod_python-3.0.0-10
mod_auth_pgsql-0.9.12-11
perl-5.8.0-55
# gdb /usr/sbin/httpd 
GNU gdb Red Hat Linux (5.2.1-4)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
(gdb) core /tmp/core.29016
Core was generated by `/usr/sbin/httpd'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libz.so.1...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /lib/libssl.so.2...done.
Loaded symbols for /lib/libssl.so.2
Reading symbols from /lib/libcrypto.so.2...done.
Loaded symbols for /lib/libcrypto.so.2
Reading symbols from /usr/lib/libaprutil.so.0...done.
Loaded symbols for /usr/lib/libaprutil.so.0
Reading symbols from /usr/lib/libgdbm.so.2...done.
Loaded symbols for /usr/lib/libgdbm.so.2
Reading symbols from /lib/libdb-4.0.so...done.
Loaded symbols for /lib/libdb-4.0.so
Reading symbols from /usr/lib/libexpat.so.0...done.
Loaded symbols for /usr/lib/libexpat.so.0
Reading symbols from /usr/lib/libapr.so.0...done.
Loaded symbols for /usr/lib/libapr.so.0
Reading symbols from /lib/i686/libm.so.6...done.
Loaded symbols for /lib/i686/libm.so.6
Reading symbols from /lib/libcrypt.so.1...done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /lib/libnsl.so.1...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/i686/libpthread.so.0...done.
Loaded symbols for /lib/i686/libpthread.so.0
Reading symbols from /lib/i686/libc.so.6...done.
Loaded symbols for /lib/i686/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /lib/libnss_nisplus.so.2...done.
Loaded symbols for /lib/libnss_nisplus.so.2
Reading symbols from /lib/libnss_dns.so.2...done.
Loaded symbols for /lib/libnss_dns.so.2
Reading symbols from /etc/httpd/modules/mod_auth_pgsql.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth_pgsql.so
Reading symbols from /usr/lib/libpq.so.2...done.
Loaded symbols for /usr/lib/libpq.so.2Reading symbols from
/usr/kerberos/lib/libkrb5.so.3...done.
Loaded symbols for /usr/kerberos/lib/libkrb5.so.3
Reading symbols from /usr/kerberos/lib/libk5crypto.so.3...done.
Loaded symbols for /usr/kerberos/lib/libk5crypto.so.3
Reading symbols from /usr/kerberos/lib/libcom_err.so.3...done.
Loaded symbols for /usr/kerberos/lib/libcom_err.so.3
Reading symbols from /etc/httpd/modules/mod_perl.so...done.
Loaded symbols for /etc/httpd/modules/mod_perl.so
Reading symbols from
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so...done.
Loaded symbols for /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
Reading symbols from /lib/libutil.so.1...done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /etc/httpd/modules/libphp4.so...done.
Loaded symbols for /etc/httpd/modules/libphp4.so
Reading symbols from /lib/libpam.so.0...done.
Loaded symbols for /lib/libpam.so.0
Reading symbols from /usr/lib/libpspell.so.4...done.
Loaded symbols for /usr/lib/libpspell.so.4
Reading symbols from /usr/lib/libncurses.so.5...done.
Loaded symbols for /usr/lib/libncurses.so.5
Reading symbols from /usr/lib/libgmp.so.3...done.
Loaded symbols for /usr/lib/libgmp.so.3
Reading symbols from /usr/lib/libgd.so.1.8...done.
Loaded symbols for /usr/lib/libgd.so.1.8
Reading symbols from /usr/lib/libpng12.so.0...done.
Loaded symbols for /usr/lib/libpng12.so.0
Reading symbols from /usr/lib/libxml2.so.2...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /usr/lib/libcurl.so.2...done.
Loaded symbols for /usr/lib/libcurl.so.2
Reading symbols from /usr/lib/libbz2.so.1...done.
Loaded symbols for /usr/lib/libbz2.so.1
Reading symbols from /usr/lib/libttf.so.2...done.
Loaded symbols for /usr/lib/libttf.so.2
Reading symbols from /usr/lib/libfreetype.so.6...done.
Loaded symbols for /usr/lib/libfreetype.so.6
Reading symbols from /usr/lib/libjpeg.so.62...done.
Loaded symbols for /usr/lib/libjpeg.so.62
Reading symbols from /usr/lib/libltdl.so.3...done.
Loaded symbols for /usr/lib/libltdl.so.3
Reading symbols from /usr/lib/libpspell-modules.so.1...done.
Loaded symbols for /usr/lib/libpspell-modules.so.1
Reading symbols from /usr/lib/libstdc++.so.5...done.
Reading symbols from /lib/libgcc_s.so.1...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /etc/httpd/modules/mod_access.so...done.
Loaded symbols for /etc/httpd/modules/mod_access.so
Reading symbols from /etc/httpd/modules/mod_auth.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth.so
Reading symbols from /etc/httpd/modules/mod_auth_anon.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth_anon.so
Reading symbols from /etc/httpd/modules/mod_auth_dbm.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth_dbm.so
Reading symbols from /etc/httpd/modules/mod_auth_digest.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth_digest.so
Reading symbols from /etc/httpd/modules/mod_include.so...done.
Loaded symbols for /etc/httpd/modules/mod_include.so
Reading symbols from /etc/httpd/modules/mod_log_config.so...done.
Loaded symbols for /etc/httpd/modules/mod_log_config.so
Reading symbols from /etc/httpd/modules/mod_env.so...done.
Loaded symbols for /etc/httpd/modules/mod_env.so
Reading symbols from /etc/httpd/modules/mod_mime_magic.so...done.
Loaded symbols for /etc/httpd/modules/mod_mime_magic.so
Reading symbols from /etc/httpd/modules/mod_cern_meta.so...done.
Loaded symbols for /etc/httpd/modules/mod_cern_meta.so
Reading symbols from /etc/httpd/modules/mod_expires.so...done.
Loaded symbols for /etc/httpd/modules/mod_expires.so
Reading symbols from /etc/httpd/modules/mod_headers.so...done.
Loaded symbols for /etc/httpd/modules/mod_headers.so
Reading symbols from /etc/httpd/modules/mod_usertrack.so...done.
Loaded symbols for /etc/httpd/modules/mod_usertrack.so
Reading symbols from /etc/httpd/modules/mod_unique_id.so...done.
Loaded symbols for /etc/httpd/modules/mod_unique_id.so
Reading symbols from /etc/httpd/modules/mod_setenvif.so...done.
Loaded symbols for /etc/httpd/modules/mod_setenvif.so
Reading symbols from /etc/httpd/modules/mod_mime.so...done.
Loaded symbols for /etc/httpd/modules/mod_mime.so
Reading symbols from /etc/httpd/modules/mod_dav.so...done.
Loaded symbols for /etc/httpd/modules/mod_dav.so
Reading symbols from /etc/httpd/modules/mod_status.so...done.
Loaded symbols for /etc/httpd/modules/mod_status.so
Reading symbols from /etc/httpd/modules/mod_autoindex.so...done.
Loaded symbols for /etc/httpd/modules/mod_autoindex.so
Reading symbols from /etc/httpd/modules/mod_asis.so...done.
Loaded symbols for /etc/httpd/modules/mod_asis.so
Reading symbols from /etc/httpd/modules/mod_info.so...done.
Loaded symbols for /etc/httpd/modules/mod_info.so
Reading symbols from /etc/httpd/modules/mod_cgi.so...done.
Loaded symbols for /etc/httpd/modules/mod_cgi.soReading symbols from
/etc/httpd/modules/mod_dav_fs.so...done.
Loaded symbols for /etc/httpd/modules/mod_dav_fs.so
Reading symbols from /etc/httpd/modules/mod_vhost_alias.so...done.
Loaded symbols for /etc/httpd/modules/mod_vhost_alias.so
Reading symbols from /etc/httpd/modules/mod_negotiation.so...done.
Loaded symbols for /etc/httpd/modules/mod_negotiation.so
Reading symbols from /etc/httpd/modules/mod_dir.so...done.
Loaded symbols for /etc/httpd/modules/mod_dir.so
Reading symbols from /etc/httpd/modules/mod_imap.so...done.
Loaded symbols for /etc/httpd/modules/mod_imap.so
Reading symbols from /etc/httpd/modules/mod_actions.so...done.
Loaded symbols for /etc/httpd/modules/mod_actions.so
Reading symbols from /etc/httpd/modules/mod_speling.so...done.
Loaded symbols for /etc/httpd/modules/mod_speling.so
Reading symbols from /etc/httpd/modules/mod_userdir.so...done.
Loaded symbols for /etc/httpd/modules/mod_userdir.so
Reading symbols from /etc/httpd/modules/mod_alias.so...done.
Loaded symbols for /etc/httpd/modules/mod_alias.so
Reading symbols from /etc/httpd/modules/mod_rewrite.so...done.
Loaded symbols for /etc/httpd/modules/mod_rewrite.so
#0  0x40461293 in PerlIO_context_layers ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
(gdb) where
#0  0x40461293 in PerlIO_context_layers ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#1  0x404614f1 in PerlIO_resolve_layers ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#2  0x404615e1 in PerlIO_openn ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#3  0x40465a0a in PerlIO_fdopen ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#4  0x40460c64 in PerlIO_stdstreams ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#5  0x40461578 in PerlIO_resolve_layers ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#6  0x404615e1 in PerlIO_openn ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#7  0x40465a0a in PerlIO_fdopen ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#8  0x40460c64 in PerlIO_stdstreams ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#9  0x40465949 in Perl_PerlIO_stderr ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#10 0x403a0973 in perl_alloc ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#11 0x403703ff in modperl_startup () from /etc/httpd/modules/mod_perl.so
#12 0x4037055f in modperl_init () from /etc/httpd/modules/mod_perl.so
#13 0x40370873 in modperl_hook_init () from /etc/httpd/modules/mod_perl.so
#14 0x0806597a in ap_run_open_logs ()
#15 0x0806ac16 in main ()
#16 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6




Comment 2 Gary Benson 2002-09-05 10:44:51 EDT
I uninstalled all the optional modules and tried again: another segv, again in
perl, and curiously after _exactly_ the same number of reloads (1020):

# rpm -q httpd mod_ssl php mod_perl mod_python mod_auth_pgsql perl
httpd-2.0.40-8
package mod_ssl is not installed
package php is not installed
mod_perl-1.99_05-3
package mod_python is not installed
package mod_auth_pgsql is not installed
perl-5.8.0-55
# gdb /usr/sbin/httpd 
GNU gdb Red Hat Linux (5.2.1-4)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
(gdb) core /tmp/core.23500
Core was generated by `/usr/sbin/httpd'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libz.so.1...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /lib/libssl.so.2...done.
Loaded symbols for /lib/libssl.so.2
Reading symbols from /lib/libcrypto.so.2...done.
Loaded symbols for /lib/libcrypto.so.2
Reading symbols from /usr/lib/libaprutil.so.0...done.
Loaded symbols for /usr/lib/libaprutil.so.0
Reading symbols from /usr/lib/libgdbm.so.2...done.
Loaded symbols for /usr/lib/libgdbm.so.2
Reading symbols from /lib/libdb-4.0.so...done.
Loaded symbols for /lib/libdb-4.0.so
Reading symbols from /usr/lib/libexpat.so.0...done.
Loaded symbols for /usr/lib/libexpat.so.0
Reading symbols from /usr/lib/libapr.so.0...done.
Loaded symbols for /usr/lib/libapr.so.0
Reading symbols from /lib/i686/libm.so.6...done.
Loaded symbols for /lib/i686/libm.so.6
Reading symbols from /lib/libcrypt.so.1...done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /lib/libnsl.so.1...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/i686/libpthread.so.0...done.
Loaded symbols for /lib/i686/libpthread.so.0
Reading symbols from /lib/i686/libc.so.6...done.
Loaded symbols for /lib/i686/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /lib/libnss_nisplus.so.2...done.
Loaded symbols for /lib/libnss_nisplus.so.2
Reading symbols from /lib/libnss_dns.so.2...done.
Loaded symbols for /lib/libnss_dns.so.2
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /etc/httpd/modules/mod_perl.so...done.
Loaded symbols for /etc/httpd/modules/mod_perl.so
Reading symbols from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.s
o...done.
Loaded symbols for /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
Reading symbols from /lib/libutil.so.1...done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /etc/httpd/modules/mod_access.so...done.
Loaded symbols for /etc/httpd/modules/mod_access.so
Reading symbols from /etc/httpd/modules/mod_auth.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth.so
Reading symbols from /etc/httpd/modules/mod_auth_anon.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth_anon.so
Reading symbols from /etc/httpd/modules/mod_auth_dbm.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth_dbm.so
Reading symbols from /etc/httpd/modules/mod_auth_digest.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth_digest.so
Reading symbols from /etc/httpd/modules/mod_include.so...done.
Loaded symbols for /etc/httpd/modules/mod_include.so
Reading symbols from /etc/httpd/modules/mod_log_config.so...done.
Loaded symbols for /etc/httpd/modules/mod_log_config.so
Reading symbols from /etc/httpd/modules/mod_env.so...done.
Loaded symbols for /etc/httpd/modules/mod_env.so
Reading symbols from /etc/httpd/modules/mod_mime_magic.so...done.
Loaded symbols for /etc/httpd/modules/mod_mime_magic.so
Reading symbols from /etc/httpd/modules/mod_cern_meta.so...done.
Loaded symbols for /etc/httpd/modules/mod_cern_meta.so
Reading symbols from /etc/httpd/modules/mod_expires.so...done.
Loaded symbols for /etc/httpd/modules/mod_expires.so
Reading symbols from /etc/httpd/modules/mod_headers.so...done.
Loaded symbols for /etc/httpd/modules/mod_headers.so
Reading symbols from /etc/httpd/modules/mod_usertrack.so...done.
Loaded symbols for /etc/httpd/modules/mod_usertrack.so
Reading symbols from /etc/httpd/modules/mod_unique_id.so...done.
Loaded symbols for /etc/httpd/modules/mod_unique_id.so
Reading symbols from /etc/httpd/modules/mod_setenvif.so...done.
Loaded symbols for /etc/httpd/modules/mod_setenvif.so
Reading symbols from /etc/httpd/modules/mod_mime.so...done.
Loaded symbols for /etc/httpd/modules/mod_mime.so
Reading symbols from /etc/httpd/modules/mod_dav.so...done.
Loaded symbols for /etc/httpd/modules/mod_dav.so
Reading symbols from /etc/httpd/modules/mod_status.so...done.
Loaded symbols for /etc/httpd/modules/mod_status.so
Reading symbols from /etc/httpd/modules/mod_autoindex.so...done.
Loaded symbols for /etc/httpd/modules/mod_autoindex.so
Reading symbols from /etc/httpd/modules/mod_asis.so...done.
Loaded symbols for /etc/httpd/modules/mod_asis.so
Reading symbols from /etc/httpd/modules/mod_info.so...done.
Loaded symbols for /etc/httpd/modules/mod_info.so
Reading symbols from /etc/httpd/modules/mod_cgi.so...done.
Loaded symbols for /etc/httpd/modules/mod_cgi.so
Reading symbols from /etc/httpd/modules/mod_dav_fs.so...done.
Loaded symbols for /etc/httpd/modules/mod_dav_fs.so
Reading symbols from /etc/httpd/modules/mod_vhost_alias.so...done.
Loaded symbols for /etc/httpd/modules/mod_vhost_alias.so
Reading symbols from /etc/httpd/modules/mod_negotiation.so...done.
Loaded symbols for /etc/httpd/modules/mod_negotiation.so
Reading symbols from /etc/httpd/modules/mod_dir.so...done.
Loaded symbols for /etc/httpd/modules/mod_dir.so
Reading symbols from /etc/httpd/modules/mod_imap.so...done.
Loaded symbols for /etc/httpd/modules/mod_imap.so
Reading symbols from /etc/httpd/modules/mod_actions.so...done.
Loaded symbols for /etc/httpd/modules/mod_actions.so
Reading symbols from /etc/httpd/modules/mod_speling.so...done.
Loaded symbols for /etc/httpd/modules/mod_speling.so
Reading symbols from /etc/httpd/modules/mod_userdir.so...done.
Loaded symbols for /etc/httpd/modules/mod_userdir.so
Reading symbols from /etc/httpd/modules/mod_alias.so...done.
Loaded symbols for /etc/httpd/modules/mod_alias.so
Reading symbols from /etc/httpd/modules/mod_rewrite.so...done.
Loaded symbols for /etc/httpd/modules/mod_rewrite.so
#0  0x403c4930 in PerlIO_layer_fetch ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
(gdb) where
#0  0x403c4930 in PerlIO_layer_fetch ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#1  0x403c561b in PerlIO_openn ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#2  0x403c9a0a in PerlIO_fdopen ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#3  0x403c4c64 in PerlIO_stdstreams ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#4  0x403c5578 in PerlIO_resolve_layers ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#5  0x403c55e1 in PerlIO_openn ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#6  0x403c9a0a in PerlIO_fdopen ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#7  0x403c4c64 in PerlIO_stdstreams ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#8  0x403c9949 in Perl_PerlIO_stderr ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#9  0x40304973 in perl_alloc ()
   from /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
#10 0x402d43ff in modperl_startup () from /etc/httpd/modules/mod_perl.so
#11 0x402d455f in modperl_init () from /etc/httpd/modules/mod_perl.so
#12 0x402d4873 in modperl_hook_init () from /etc/httpd/modules/mod_perl.so
#13 0x0806597a in ap_run_open_logs ()
#14 0x0806ac16 in main ()
#15 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6
Comment 3 Phil Copeland 2002-09-05 10:48:52 EDT
I see this was opened as a new bug.
lets see, for the first trace in this bug I've the folowing levels.

[root@dhcp59-221 root]# rpm -q httpd mod_ssl php mod_perl mod_python
mod_auth_pgsql perl
httpd-2.0.40-8
mod_ssl-2.0.40-8
php-4.2.2-8.0.5
mod_perl-1.99_05-3
mod_python-3.0.0-10
mod_auth_pgsql-0.9.12-11
perl-5.8.0-55

Phil
=--=
Comment 4 Gary Benson 2002-09-05 11:00:28 EDT
It also seems to be leaking about 320 bytes per reload, although it occasionally
frees some (?).
Comment 5 Gary Benson 2002-09-05 11:02:11 EDT
Created attachment 75044 [details]
Memory usage (as reported by ps) after each restart (GNUplot it or something)
Comment 6 Gary Benson 2002-09-05 11:49:44 EDT
Failed at 1020 iterations twice more, same backtrace as the above.  Pity it
takes half an hour each time :(
Comment 7 Joe Orton 2005-01-06 06:37:13 EST
A pthread key leak in Perl apparently can cause this failure at ~1K
reloads: http://article.gmane.org/gmane.comp.apache.mod-perl.devel/6536

-> reassigning to perl
Comment 9 Warren Togami 2005-09-11 07:14:04 EDT
Has perl-5.8.7 fixed this issue?

So FC3 and FC4 are affected but not FC5?
Comment 10 Joe Orton 2005-09-12 06:15:43 EDT
Yup looks that way, which seems fine it's not very critical.

Note You need to log in before you can comment on or make changes to this bug.